DRM_KMS_HELPER_HOTPL(9)

NAME
drm_kms_helper_hotplug_event - fire off KMS hotplug events

SYNOPSIS

void drm_kms_helper_hotplug_event(struct drm_device * dev);

ARGUMENTS

dev
    drm_device whose connector state changed

DESCRIPTION

This function fires off the uevent for userspace and also calls the output_poll_changed function, which is most commonly used to inform the fbdev emulation code and allow it to update the fbcon output configuration.

Drivers should call this from their hotplug handling code when a change is detected. Note that this function does not do any output detection of its own, like drm_helper_hpd_irq_event does - this is assumed to be done by the driver already.

This function must be called from process context with no mode setting locks held.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT